Package org.jfree.layouting.renderer.model.table

## Class TableRowRenderBox

- java.lang.Object
- - org.jfree.layouting.renderer.model.RenderNode
  - - org.jfree.layouting.renderer.model.RenderBox
    - - org.jfree.layouting.renderer.model.BlockRenderBox
      - - org.jfree.layouting.renderer.model.table.TableRowRenderBox

-     public class TableRowRenderBox
      extends BlockRenderBox

  A table section box does not much rendering or layouting at all. It represents one of the three possible sections and behaves like any other block box. But (here it comes!) it refuses to be added to anything else than a TableRenderBox (a small check to save me a lot of insanity ..).

  For a valid layout, the major and minor axes need to be flipped.
  Author:
    Thomas Morgner

- - ### Field Summary

    - ### Fields inherited from class org.jfree.layouting.renderer.model.RenderBox

      `LOG_PRUNE`

    - ### Fields inherited from class org.jfree.layouting.renderer.model.RenderNode

      `HORIZONTAL_AXIS, VERTICAL_AXIS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableRowRenderBox​(BoxDefinition boxDefinition, boolean autoGenerated)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone​()` | Clones this node.
    `TableColumnModel` | `getColumnModel​()` |
    `TableRowInfoStructure` | `getRowInfoStructure​()` |
    `TableRenderBox` | `getTable​()` |
    `boolean` | `isIgnorableForRendering​()` | If that method returns true, the element will not be used for rendering.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from class org.jfree.layouting.renderer.model.RenderBox

      `addChild, addChilds, addGeneratedChild, appyStyle, clear, close, derive, deriveFrozen, findNodeById, freeze, getBaselineInfo, getBorder, getBoxDefinition, getBoxLayoutProperties, getContentAreaX1, getContentAreaX2, getDominantBaseline, getEffectiveMarginBottom, getEffectiveMarginTop, getFirstChild, getInsertationPoint, getLastChild, getLineCount, getNominalBaselineInfo, getOrphans, getOrphansSize, getPageContext, getStaticBoxLayoutProperties, getVisibleFirst, getVisibleLast, getWidows, getWidowsSize, hibernate, insertAfter, insertBefore, isAppendable, isAvoidPagebreakInside, isDiscardable, isEmpty, isOpen, isPreserveSpace, remove, replaceChild, replaceChilds, setBaselineInfo, setContentAreaX1, setContentAreaX2, setFirstChild, setLastChild, setLineCount, setOrphansSize, setPageContext, setWidowsSize, split`

    - ### Methods inherited from class org.jfree.layouting.renderer.model.RenderNode

      `getAlignmentAdjust, getAlignmentAdjustResolved, getAlignmentBaseline, getBaselineShift, getBaselineShiftResolved, getChangeTracker, getComputedLayoutProperties, getDimension, getHeight, getInstanceId, getLayoutContext, getLogicalPage, getMajorAxis, getMaximumBoxWidth, getMinimumChunkWidth, getMinorAxis, getNamespace, getNext, getNodeLayoutProperties, getNormalFlow, getParent, getParentBlockContext, getPosition, getPrev, getStickyMarker, getTagName, getVerticalAlignment, getVisibleNext, getVisiblePrev, getWidth, getX, getY, isDirectionLTR, isDirty, isFrozen, isHibernated, isIcmMetricsFinished, normalizeAlignment, setComputedLayoutProperties, setDimension, setDirty, setHeight, setHibernated, setIcmMetricsFinished, setMajorAxis, setMaximumBoxWidth, setMinimumChunkWidth, setMinorAxis, setNext, setParent, setPosition, setPrev, setStickyMarker, setWidth, setX, setY, updateChangeTracker`

- - ### Constructor Detail

    - #### TableRowRenderBox

          public TableRowRenderBox​(BoxDefinition boxDefinition,
                                   boolean autoGenerated)

  - ### Method Detail

    - #### getRowInfoStructure

          public TableRowInfoStructure getRowInfoStructure​()

    - #### isIgnorableForRendering

          public boolean isIgnorableForRendering​()

      If that method returns true, the element will not be used for rendering. For the purpose of computing sizes or performing the layouting (in the validate() step), this element will treated as if it is not there.

      If the element reports itself as non-empty, however, it will affect the margin computation.
      Overrides:
        `isIgnorableForRendering` in class `RenderNode`
      Returns:

    - #### getTable

          public TableRenderBox getTable​()

    - #### getColumnModel

          public TableColumnModel getColumnModel​()

    - #### clone

          public java.lang.Object clone​()

      Description copied from class: `RenderBox`
      Clones this node. Be aware that cloning can get you into deep trouble, as the relations this node has may no longer be valid.
      Overrides:
        `clone` in class `RenderBox`